Retrieves GHG performance comparison by commodity, scope, or scope category
Use this endpoint to compare GHG performance across groupings (commodity, scope, scope category).
Requires GHG or Carbon Hub View permission. Supports global dashboard filter overrides.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific GHG Performance widget instance | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional global dashboard filter that adds to or overrides saved widget filter values | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| budgetVersionId | Integer | equals | |
| Channel | Channel | String | equals |
| chartType | Chart Type | String | equals |
| commodityCategoryID | Integer | equals | |
| commodityId | Integer | equals | |
| cumulative | Display as Cumulative | Boolean | equals |
| DataPointID | Integer | equals | |
| emissionSourceId | Integer | equals | |
| EsaChannelID | Integer | equals | |
| esaIntervalWidgetGroupBy | Group By | String | equals |
| includeAccountCharges | Include Account Charges | Boolean | equals |
| includeAccruals | Include Accruals | Boolean | equals |
| meterGroupInfo | Meter Group Display | String | equals |
| meterId | Integer | equals | |
| numberOfYears | Integer | equals | |
| placeGroupId | Integer | equals | |
| placeGroupName | Place Group Name | String | equals |
| rateId | Integer | equals | |
| readingDate | Reading Date | DateTime | equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| Schedule | Schedule | String | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceName | Topmost Place Name | String | equals |
| vendorId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AggregatedComparisonResponseGHGPerformanceComparison
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| dataDetails | The data details | GHGPerformanceComparison[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGPerformanceComparison properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| periodRange | PeriodRangeComparison | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRangeComparison properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | GHGPerformanceComparison | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGPerformanceComparison properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "dataDetails": [
{ "costPercentDiff": 1.0, "currentCost": 1.0, "currentEmissions": 1.0, "currentUse": 1.0, "emissionsPercentDiff": 1.0, "emissionsUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "id": 1, "label": "string", "previousCost": 1.0, "previousEmissions": 1.0, "previousUse": 1.0, "type": "string", "usePercentDiff": 1.0, "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}
], "periodRange": { "currentPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "previousPeriodRange": { "endPeriod": 1, "startPeriod": 1
}
}, "total": { "costPercentDiff": 1.0, "currentCost": 1.0, "currentEmissions": 1.0, "currentUse": 1.0, "emissionsPercentDiff": 1.0, "emissionsUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "id": 1, "label": "string", "previousCost": 1.0, "previousEmissions": 1.0, "previousUse": 1.0, "type": "string", "usePercentDiff": 1.0, "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}
}